FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Help_Font_Stack Struct Reference

## Public Member Functions
size_t | count () const
| Gets the current count of font style elements in the stack.
| Fl_Help_Font_Stack ()
| font stack construction, initialize attributes.
void | init (Fl_Font f, Fl_Fontsize s, Fl_Color c)
void | pop (Fl_Font &f, Fl_Fontsize &s, Fl_Color &c)
| Pops from the stack the font style triplet and calls fl_font() & fl_color() adequately.
void | push (Fl_Font f, Fl_Fontsize s, Fl_Color c)
| Pushes the font style triplet on the stack, also calls fl_font() & fl_color() adequately.
void | top (Fl_Font &f, Fl_Fontsize &s, Fl_Color &c)
| Gets the top (current) element on the stack.

## Protected Attributes
Fl_Help_Font_Style | elts_ [MAX_FL_HELP_FS_ELTS]
| font elements
size_t | nfonts_
| current number of fonts in stack

The documentation for this struct was generated from the following file:

- Fl_Help_View.H